#include <stdlib.h>
#include <string>
#include <fstream>
#include <algorithm>
#include <stim/visualization/network.h>

#include <ANN/ANN.h>
#include <boost/tuple/tuple.hpp>
using namespace stim;
//template <typename T>

int main(int argc, char* argv[])
{
	std::string groundTruth = argv[1];
	std::string truthCase = argv[2];
	stim::network<int> network;
	boost::tuple<  ANNkd_tree*, ANNkd_tree*, stim::network<int>, stim::network<int> > networkKdtree;
	networkKdtree = network.LoadNetworks(groundTruth, truthCase);
	/*std::cout<<networkKdtree.get< 2>().edges_to_str()<<endl;*/
	boost::tuple< float, float > metrics = network.compareSkeletons(networkKdtree);
	std::cout << "False postive rate is " << metrics.get< 0>() << std::endl;
	std::cout << "False negative rate is " << metrics.get< 1>() << std::endl;
}
